| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IGslErrorHandler Class Reference

`#include <GaudiGSL/IGslErrorHandler.h>`

Inheritance diagram for IGslErrorHandler:

[legend]
Collaboration diagram for IGslErrorHandler:

[legend]
List of all members.

## Detailed Description

The abstract interface for arbitrary GSL error handler.

Author:
  Vanya Ivan.Belyaev@itep.ru

Date:
  30/04/2002

Definition at line 20 of file IGslErrorHandler.h.

## Public Member Functions
virtual StatusCode | handle (const GslError &error) const =0
| handle the GSL error
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| the unique interface identifier (static)
## Protected Member Functions
virtual | ~IGslErrorHandler ()
| destructor (virtual and protected)

## Constructor & Destructor Documentation

virtual IGslErrorHandler::~IGslErrorHandler | ( |  | ) | `[inline, protected, virtual]`

destructor (virtual and protected)

Definition at line 41 of file IGslErrorHandler.h.

    00041 {};

## Member Function Documentation

static const InterfaceID& IGslErrorHandler::interfaceID | ( |  | ) | `[inline, static]`

the unique interface identifier (static)

Returns:
  unique interface identifier

See also:
  IInterface

Reimplemented from IAlgTool.

Definition at line 29 of file IGslErrorHandler.h.

References IID_IGslErrorHandler.

    00029 { return IID_IGslErrorHandler; }

virtual StatusCode IGslErrorHandler::handle | ( | const GslError & | error | ) | const`[pure virtual]`

handle the GSL error

Parameters:

  | error | error to be handled

See also:
  GslError

Returns:
  status code

Implemented in GslErrorCount, GslErrorException, and GslErrorPrint.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiGSL/IGslErrorHandler.h